/* GLOBAL STYLES */

* {
    box-sizing: border-box;
    font-family: sans-serif;
    font-size: large;
}

button:active {
    background-color: darkgray;
}

.private {
    visibility: hidden;
}

body {
    width: 100dvw;
    height: 100dvh;
}

#idWeek {
    height: 95dvh;
    max-width: 750px;
    display: grid;
    grid-template-rows: auto 1fr auto;
    /*//  background-color: antiquewhite;*/
    .calendar {
        overflow-y: scroll;
        background-color: aliceblue;
    }
}

#idInput {
    /*//    background-color: darkviolet;*/
    .body {
        padding: 20px;
    }
    #addTime * {
        display: block;
        margin: 15px 0;
    }
}

#addTime {
    background-color: lavenderblush;
    padding: 10px;
}

header,
footer {
    border: 2px double black;
    padding: 25px;
    font-weight: bold;
    font-size: x-large;
}

header {
    display: flex;
    justify-content: space-between;
    span {
        font-size: x-large;
        font-weight: bold;
    }
}

.day {
    border: 2pt solid black;
    border-bottom: none;
    display: flex;
    flex-direction: row;
    gap: 10px;
    min-height: 90px;
    background-color: aliceblue;
    &:last-child {
        border-bottom: 2pt solid black;
    }
}
.date {
    padding: 10px;
    padding-right: 30px;
    display: flex;
    flex-direction: column;
    background-color: lavender;
    * {
        font-weight: bold;
    }
}
.schedule {
    padding: 10px;
}
.event {
    padding: 5px;
    border-bottom: 1pt dotted black;
}

.slot {
    display: flex;
    justify-content: space-between;
    /*background-color: aliceblue;*/
    border: 1pt dotted red;
    margin: 3px;
    padding: 3px;
}
@media screen and (min-width: 600px) {
    body {
        display: grid;
        grid-template-columns: 1fr auto;
        grid-template-areas:
            "calendar filter"
            "calendar edit ";
        gap: 10px;
    }
    #print-output {
        display: none;
    }
    #idFilter {
        grid-area: filter;
    }
    #idWeek {
        grid-area: calendar;
    }
    #idInput {
        grid-area: edit;
    }
    .day {
        flex-direction: row;
    }
    .date {
        flex-direction: column;
        border-right: 1pt solid black;
        flex-basis: 0;
        flex-grow: 2;
    }
    .schedule {
        flex-basis: 0;
        flex-grow: 5;
    }
    .event:last-child {
        margin-bottom: 50px;
    }
    .filler {
        display: none;
    }
}
@media screen and (max-width: 600px) {
    #print-output {
        display: none;
    }
    .day {
        flex-direction: column;
    }
    .date {
        flex-direction: row;
        border-bottom: 1pt solid black;
    }
    .event:last-child {
        margin-bottom: 0;
        border-bottom: none;
    }
    .filler {
        white-space: pre;
    }
}

@media print {
    .event {
        border-bottom: 10pt solid black;
    }
}
